Bug 242523 - only one CPU available
only one CPU available
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 13:38 EDT by Olaf
Modified: 2008-03-10 09:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 09:51:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Olaf 2007-06-04 13:38:47 EDT
Description of problem:
dmesg says:

Processor #1 6:15 APIC version 16
WARNING: NR_CPUS limit of 1 reached. Processor ignored.

So the 2nd CPU is unused (!) on this server.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux ES release 4 (Nahant Update 5)
2.6.9-55.EL

Trying to install a SMP kernel fails:

# up2date --show-available | grep kernel
kernel-devel-2.6.9-55.EL.x86_64
kernel-doc-2.6.9-55.EL.noarch
kernel-hugemem-devel-2.6.9-5.EL.i686
kernel-ib-1.0-1.x86_64
kernel-largesmp-2.6.9-55.EL.x86_64
kernel-largesmp-devel-2.6.9-55.EL.x86_64
kernel-smp-2.6.9-55.EL.x86_64
kernel-smp-devel-2.6.9-55.EL.x86_64
kernel-xenU-2.6.9-55.EL.x86_64
kernel-xenU-devel-2.6.9-55.EL.x86_64

# up2date kernel-smp-2.6.9-55.EL.x86_64 kernel-smp-devel-2.6.9-55.EL.x86_64

Fetching Obsoletes list for channel: rhel-x86_64-es-4...

Fetching Obsoletes list for channel: rhel-x86_64-es-4-extras...

Fetching Obsoletes list for channel: rhel-x86_64-es-4-fastrack...

Fetching rpm headers...

Name                                    Version        Rel     
----------------------------------------------------------


The following packages you requested were not found:
kernel-smp-2.6.9-55.EL.x86_64
kernel-smp-devel-2.6.9-55.EL.x86_64
Comment 1 Prarit Bhargava 2007-06-15 10:56:36 EDT
Olaf, I just tried this on a two RHEL4 installs and it WORKSFORME.

Could you verify that  /etc/sysconfig/rhn/up2date  exists on your system and
place the contents of the file in this BZ?

Thanks,

P.

Note You need to log in before you can comment on or make changes to this bug.